# Get payout status by transaction id

Returns the payout details including status for the requested transactionId

Endpoint: GET /v2/payouts/{transactionId}
Version: 1.0.0
Security: oauth2

## Path parameters:

  - `transactionId` (string, required)

## Response 200 fields (application/json):

  - `payoutPartnerId` (string)
    The id of the payout partner

  - `payoutMethodId` (string)
    The id of the payout method

  - `transactionId` (string, required)
    The id of the transaction

  - `externalTransactionId` (string)
    The external id of the transaction at the venue.

  - `externalRequestId` (string)
    The external id of the request to execute the withdrawal. Ex. ODL_PAYMENT_ID or PRISMA_REQUEST_ID

  - `ripplenetPaymentId` (string)
    ripplenet_payment_id of the associated transaction

  - `payoutStatus` (string, required)
    Enum: "NOT_STARTED", "RETRYABLE", "PROCESSING", "DELIVERED", "DELIVERY_FAILED", "NO_INFORMATION_AVAILABLE"

  - `createdAt` (string)
    Date and time at which the request for payout was created, as an ISO-8601 timestamp in UTC.

  - `payoutDetails` (object)
    The object that holds details of the payout including source/destination currency, beneficiary amount
    Example: {"beneficiaryCurrency":"PHP","senderAmount":234567.89,"senderCurrency":"USD","fxRate":1.47289,"beneficiaryAmount":234567.89}

  - `payoutDetails.senderCurrency` (string)
    The sender/source currency
    Example: "USD"

  - `payoutDetails.beneficiaryCurrency` (string)
    The beneficiary/destination currency
    Example: "PHP"

  - `payoutDetails.senderAmount` (number)
    The optional amount in sender's currency
    Example: 234567.89

  - `payoutDetails.beneficiaryAmount` (number)
    The amount in beneficiary's currency
    Example: 234567.89

  - `payoutDetails.feeAmount` (number)
    The fee charged for this transaction
    Example: 2.5

  - `payoutDetails.feeCurrency` (string)
    The fee currency
    Example: "PHP"

  - `payoutDetails.fxRate` (number)
    The forex currency rate used in the transaction
    Example: 1.47289

  - `errors` (array)
    A list of payout errors

  - `errors.category` (string, required)
    Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE"

  - `errors.title` (string, required)

  - `errors.code` (string, required)

  - `errors.detail` (string, required)

## Response 400 fields (application/problem+json):

  - `status` (integer, required)

  - `errors` (array, required)

  - `timestamp` (string)


